Page MenuHomePhabricator

[WDQS Streaming Updater] Implement ouput format in Streaming Updater
Closed, ResolvedPublic

Description

AC:

  • Develop extensible data object that can handle
    • Diff (NTriples)
    • Import (NTriples)
    • Delete (command)
  • Allow chunking (multiple messages per operation if too big)
    • should be allow handling consistency

Event Timeline

Zbyszko created this task.Mar 25 2020, 12:17 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptMar 25 2020, 12:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Zbyszko renamed this task from Implement NTriples format ouput in Streaming Updater to Implement ouput format in Streaming Updater.Mar 26 2020, 3:42 PM
Zbyszko updated the task description. (Show Details)
Zbyszko renamed this task from Implement ouput format in Streaming Updater to [WDQS Streaming Updater] Implement ouput format in Streaming Updater.Apr 1 2020, 11:05 AM

Change 591316 had a related patch set uploaded (by DCausse; owner: DCausse):
[wikidata/query/rdf@master] Add data classes to represent the RDF diff stream

https://gerrit.wikimedia.org/r/591316

dcausse triaged this task as Medium priority.Apr 21 2020, 4:38 PM

Change 591316 merged by jenkins-bot:
[wikidata/query/rdf@master] Add data classes to represent the RDF diff stream

https://gerrit.wikimedia.org/r/591316

Gehel closed this task as Resolved.Jul 13 2020, 12:49 PM